# $Revision: 1.5 $, $Date: 2001/10/30 02:37:25 $
Summary:	Tunnelizes connection via http
Summary(pt):	Tuneliza conexes via http
Name:		httptunnel
Version:	3.3
Release:	2
License:	GPL
Group:		Networking/Daemons
Group(de):	Netzwerkwesen/Server
Group(pl):	Sieciowe/Serwery
Source0:	ftp://ftp.nocrew.org/pub/nocrew/unix/%{name}-%{version}.tar.gz
Patch0:		%{name}-ac_am_fixes.patch
Patch1:		%{name}-remove_port.patch
URL:		http://www.nocrew.org/software/httptunnel.html
BuildRequires:	autoconf
BuildRequires:	automake
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
httptunnel creates a bidirectional virtual data path tunnelled in HTTP
requests. The HTTP requests can be sent via an HTTP proxy if so
desired. This can be useful for users behind restrictive firewalls. If
WWW access is allowed through a HTTP proxy, it's possible to use
httptunnel and, say, telnet or PPP to connect to a computer outside
the firewall.

httptunnel is written and maintained by Lars Brinkhoff. See the file
AUTHORS for more information about contributors to this package.

%description -l pt_BR
httptunnel cria um caminho virtual bidirecional tunelado em
requisies HTTP. As requisies HTTP podem ser enviadas via um proxy
HTTP se desejado. Isto pode ser til para usurios atrs de firewalls
restritivos. Se o acesso WWW for permitido pelo proxy HTTP,  possvel
usar o httptunnel e, digamos, telnet ou PPP para conectar a um
computador fora do firewall.

httptunnel  escrito e mantido por Lars Brinkhoff. Veja o arquivo
AUTHORS para mais informao sobre contribuidores a este pacote.

%description -l sv_SE
httptunnel skapar en virtuell tvvgs kommunikationskanal tunnlad i
HTTP-paket. HTTP-paketen kan skickas via en HTTP-proxy om s nskas.
Detta kan vara anvndbart fr anvndare bakom en restriktiv firewall.
Om webben r tillgnglig genom en HTTP-proxy, r det mjligt att
anvnda httptunnel, och exempelvis telnet eller PPP fr att koppla upp
sig mot en dator utanfr firewallen.

httptunnel r skriven och underhllen av Lars Brinkhoff. Se filen
AUTHORS fr mer information om vilka som har bidragit till detta
paket.

%prep
%setup  -q
%patch0 -p1
%patch1 -p1

%build
rm -rf missing port
aclocal
autoconf
automake -a -c
%configure
%{__make}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

gzip -9nf AUTHORS ChangeLog DISCLAIMER FAQ HACKING NEWS README TODO

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc *.gz
%attr(755,root,root) %{_bindir}/htc
%attr(755,root,root) %{_bindir}/hts
%{_mandir}/man1/*

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <pld-list@pld.org.pl>
All persons listed below can be reached at <cvs_login>@pld.org.pl

$Log: httptunnel.spec,v $
Revision 1.5  2001/10/30 02:37:25  kloczek
- release 2,
- added remove_port patch (use glibc instead own copy some system avalaible
  functions),
- added regenerate ac/am files (added ac_am_fixes patch for allow use latest
  ac/am for rebuild).

Revision 1.4  2001/09/30 22:04:49  marcus
- s/configure/configure2_13/g

Revision 1.3  2001/03/15 11:38:25  mis
- updated (by autoup) to 3.3

Revision 1.2  2000/12/06 21:22:25  kloczek
- completly rewrited in PLD coding style.

